#include "include/AnalysisModuleInterface.h"
#include "include/InOutPin.h"
#include "AnalysisNotifyModule.h"

void CAnalysisNotifyModule::OnNotifyError( unsigned int uiModuleId , unsigned int uiErrorNo , char* pErrorText )
{
	printf( "\n- In OnNotifyError -\nuiModuleId = %d , uiErrorNo = %d , pErrorText  = %s\n" , uiModuleId , uiErrorNo , pErrorText );
}

void CAnalysisNotifyModule::OnNotifyAnalysisResult( unsigned int uiModuleId , CAnalysisResultPin* pAnalysisResultPin )
{
	printf( "\n- In OnNotifyAnalysisResult -\nuiModuleId = %d\npAnalysisResultPin->m_uiId = %d\n"\
	"pAnalysisResultPin->m_pszFileName = %s \npAnalysisResultPin->m_nLineNo = %d\n"\
	"pAnalysisResultPin->m_pszErrorText = %s\n" 
	, uiModuleId , pAnalysisResultPin->m_uiId , pAnalysisResultPin->m_pszFileName , 
	pAnalysisResultPin->m_nLineNo , pAnalysisResultPin->m_pszErrorText );
}

void CAnalysisNotifyModule::OnNotifyProcessState( CNotifyProcessState* pProcessState )
{
	/* printf( "\n-In OnNotifyProcessState-\nuiModuleId = %d\nProcessRate = %d\nText = %s\n",
	pProcessState->m_uiModuleId, pProcessState->m_nProcessRate, pProcessState->m_pszText ); */
	
}
